<template>
  <div>
    <h1 v-if="!nameEditable" @click="enableNameEdition">
      {{ project.name }}
    </h1>
    <label v-else>
      <input type="text" v-model="project.name" placeholder="Nome do projeto" />
      <button class="saveButton" @click="enableNameEdition">Salvar</button>
      <br />
    </label>

    <h2 v-if="!repositoryEditable" @click="enableRepositoryEdition">
      {{ project.repository_url }}
    </h2>
    <label v-else>
      <input
        type="text"
        v-model="project.repository_url"
        placeholder="URL do repositorio"
      />
      <button class="saveButton" @click="enableNameEdition">Salvar</button>
      <br />
    </label>

    <p v-if="!proposalEditable" @click="enableProposalEdition">
      {{ project.proposal }}
    </p>
    <label v-else>
      <input
        type="text"
        v-model="project.proposal"
        placeholder="Nome do projeto"
      />
      <button class="saveButton" @click="enableNameEdition">Salvar</button>
      <br />
    </label>
  </div>
</template>

<script>
export default {
  name: "Project",
  data: function() {
    return {
      project: {
        name: "Meu Projeto",
        repository_url: "mind.com",
        proposal:
          "Now eldest new tastes plenty mother called misery get. Longer excuse for county nor except met its things. Narrow enough sex moment desire are. Hold who what come that seen read age its. Contained or estimable earnestly so perceived. Imprudence he in sufficient cultivated. Delighted promotion improving acuteness an newspaper offending he. Misery in am secure theirs giving an. Design on longer thrown oppose am. \n" +
          "\n" +
          "Considered an invitation do introduced sufficient understood instrument it. Of decisively friendship in as collecting at. No affixed be husband ye females brother garrets proceed. Least child who seven happy yet balls young. Discovery sweetness principle discourse shameless bed one excellent. Sentiments of surrounded friendship dispatched connection is he. Me or produce besides hastily up as pleased. Bore less when had and john shed hope. \n" +
          "\n" +
          "Game of as rest time eyes with of this it. Add was music merry any truth since going. Happiness she ham but instantly put departure propriety. She amiable all without say spirits shy clothes morning. Frankness in extensive to belonging improving so certainty. Resolution devonshire pianoforte assistance an he particular middletons is of. Explain ten man uncivil engaged conduct. Am likewise betrayed as declared absolute do. Taste oh spoke about no solid of hills up shade. Occasion so bachelor humoured striking by attended doubtful be it. "
      },
      nameEditable: false,
      repositoryEditable: false,
      proposalEditable: false
    };
  },
  methods: {
    enableNameEdition() {
      this.nameEditable = !this.nameEditable;
      console.log(this.nameEditable);
    },
    enableRepositoryEdition() {
      this.repositoryEditable = !this.repositoryEditable;
      console.log(this.repositoryEditable);
    },
    enableProposalEdition() {
      this.proposalEditable = !this.proposalEditable;
      console.log(this.proposalEditable);
    }
  }
};
</script>

<style scoped>
.saveButton {
  background-color: purple;
  border: none;
  color: white;
  padding: 10px 20px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  cursor: pointer;
}
</style>
